pw_port_info Struct Reference

## Data Fields

uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
const char * | name
| name the port, suitable for display More...
struct spa_dict * | props
| the properties of the port More...

## Field Documentation

## change_mask

uint64_t pw_port_info::change_mask

bitfield of changed fields since last call

Referenced by pw_port_info_update().

## id

uint32_t pw_port_info::id

id of the global

Referenced by pw_port_info_update().

## name

const char* pw_port_info::name

name the port, suitable for display

Referenced by pw_port_info_free(), and pw_port_info_update().

## props

struct spa_dict* pw_port_info::props

the properties of the port

Referenced by pw_port_info_free(), and pw_port_info_update().

The documentation for this struct was generated from the following file:

- introspect.h